import * as React from 'react';
import CssBaseline from '@mui/material/CssBaseline';
import Box from '@mui/material/Box';
import Container from '@mui/material/Container';
import StandardImageList from './gallery';
import Divider from '@mui/material/Divider';
import Grid from '@mui/material/Unstable_Grid2';
import ImageAvatars from './avatar';
import BasicCard from './user_data';

import { useEffect, useState } from 'react';
import { useParams } from 'react-router';



export default function User({ user = {}, loadUser }) {

    const { userId } = useParams()
    useEffect(() => { loadUser(userId) }, [userId])

    console.log(22, userId)

    return (
        <React.Fragment>
            <CssBaseline />
            <Container sx={{ minHeight: '100vh' }} maxWidth="100%" >
                <Box sx={{ margin: "30px 10px" }}>
                    <Grid container spacing={2}>
                        <Grid xs={3}>
                            <Container>
                                <ImageAvatars userData={user} />
                            </Container>
                        </Grid>
                        <Grid xs={9}>
                            <BasicCard userData={user} />
                        </Grid>
                    </Grid>
                </Box>

                <Divider />

                <Box >
                    <StandardImageList />
                </Box>
            </Container>
        </React.Fragment>
    );
}

