import * as React from 'react';
import Box from '@mui/material/Box';
import Card from '@mui/material/Card';
import CardContent from '@mui/material/CardContent';
import Typography from '@mui/material/Typography';

import Button from '@mui/material/Button';
import DeleteIcon from '@mui/icons-material/Delete';
import SendIcon from '@mui/icons-material/Send';
import Stack from '@mui/material/Stack';

import ManageAccountsOutlinedIcon from '@mui/icons-material/ManageAccountsOutlined';

function UptadeProfile() {
    return (
        // < Stack direction="row" spacing={2} >
        <Button variant="outlined" startIcon={<ManageAccountsOutlinedIcon />} disableRipple>Редактировать аккаунт</Button>
        // </Stack >
    )
}

export default function BasicCard({ userData }) {

    return (
        <Card sx={{ width: '100%' }}>
            <CardContent>
                <Stack direction="row" spacing={5}>
                    <Typography variant="h5" component="div">
                        {userData.login}
                    </Typography>
                    <UptadeProfile />
                </Stack>
                <Stack direction="row" spacing={5}>
                    <Typography color="text.secondary">
                        NaN Публикаций
                    </Typography>
                    <Typography color="text.secondary">
                        {userData.followers?.length} подписчиков
                    </Typography>
                    <Typography color="text.secondary">
                        {userData.following?.length || '0'} подписок
                    </Typography>
                </Stack>

                <Typography sx={{ fontSize: 14 }} color="text.secondary" gutterBottom>
                    hhhhhh
                </Typography>

                <Typography sx={{ mb: 1.5 }} color="text.secondary">
                    adjective
                </Typography>
                <Typography variant="body2">
                    well meaning and kindly.
                    <br />
                    {'"a benevolent smile"'}
                </Typography>
            </CardContent>

        </Card>
    );
}
